Bug 1215359 - Label ~/.local/share/libvirt/images as svirt_home_t
Summary: Label ~/.local/share/libvirt/images as svirt_home_t
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-25 19:08 UTC by Cole Robinson
Modified: 2015-07-14 15:50 UTC (History)
1 user (show)

Fixed In Version: selinux-policy-3.13.1-105.19.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-14 15:50:49 UTC


Attachments (Terms of Use)

Description Cole Robinson 2015-04-25 19:08:33 UTC
Please extend all selinux policy to label ~/.local/share/libvirt/images and ~/.local/share/libvirt/boot as svirt_home_t. This is similar to what is done with ~/.local/share/gnome-boxes/images and ~/VirtualMachines (the latter uses virt_home_t but likely only because it predates svirt)

virt-manager uses the latter for user libvirtd sessions, but creating a top level $HOME directory is annoying and out of fashion these days, so I'd like to switch to .local/share/libvirt/images. That path is also sufficiently generic that other apps could use as well.

With libvirt doing the labelling these days I don't know how much the static labels matter, maybe if user turns off svirt it still plays a roll? But I'm sure you guys no best.

Please consider adding this to fedora 21+. Thanks!

Comment 1 Miroslav Grepl 2015-05-12 08:45:31 UTC
commit a3fdc90a72d394194be72aaec676ba49d48c4bb6
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Tue May 12 10:44:38 2015 +0200

    Add support for ~/.local/share/libvirt/images and for ~/.local/share/libvirt/boot. BZ(1215359)

Comment 2 Fedora Update System 2015-06-24 12:29:03 UTC
selinux-policy-3.13.1-105.18.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/selinux-policy-3.13.1-105.18.fc21

Comment 3 Fedora Update System 2015-06-25 08:22:42 UTC
Package selinux-policy-3.13.1-105.18.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.13.1-105.18.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-10708/selinux-policy-3.13.1-105.18.fc21
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2015-06-30 07:31:31 UTC
selinux-policy-3.13.1-105.19.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/selinux-policy-3.13.1-105.19.fc21

Comment 5 Fedora Update System 2015-07-14 15:50:49 UTC
selinux-policy-3.13.1-105.19.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.